---
schema_version: "1"
id: bfdf90bae8ef50580c79bccd553d44c75800727cbb96a587f69279811373e0d7
title: Users and Groups Methods
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/rest_api/REST/rest_api_ref_users_and_groups.md
canonical_url: https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_ref_users_and_groups.htm
source_site: help.tableau.com
content_type: documentation
content_hash: 7297efcc943dd0ee639e8d47bd2e2619a82aa9b5e37383fcdea8048cabecf8ae
description: "Using the groups and users methods of the Tableau REST API you can do the operations listed in the following categories:"
---
[Skip to main content](#main-content)

# Users and Groups Methods

Using the groups and users methods of the Tableau REST API you can do the operations listed in the following categories:

**Groups** (groups of users)

- Create a local group of users for a site or import users to a new local group from Active Directory
- Get a filtered, sorted list of groups of a site
- Update a local group name or refresh the users from Active Directory
- List, add, or delete users of a group
- Bulk add or remove users
- Set minimum site role and enable on-demand access (Tableau Cloud only)
- Create, update, delete a SCIM configuration that enables the automatic provisioning of groups of users (Tableau Cloud only)

**Group Sets** (sets of groups)

- Create a group set
- Get a filtered, sorted list of group sets
- Update a group set
- List, add, or delete groups of a group set
- Delete a group set

**Site Users** (users of a site)

- Get a filtered, sorted list of users of a site
- Get or update the details of a user of a site
- Add or delete a user of a site
- Import users and set their user properties from a .csv file
- Delete a group, or a list of users in a .csv file, from a site
- Download user credentials for migrating users to another site
- Upload user credentials users migrated to another site
- Create, update, delete a SCIM configuration that enables the automatic provisioning of users (Tableau Cloud only)

This functionality relates to the UI elements and concepts described at: [Manage Users and Groups](https://help.tableau.com/current/server/en-us/users.htm).

## Use Postman

Our Postman collection of requests enables you to construct, send, and examine HTTP requests to the Tableau Server or Tableau Cloud API without writing initial code. Postman is a free online app used by many developers for prototyping API calls, investigating issues, and generating request code in a variety of languages.

[Postman: Users and Groups](https://www.postman.com/salesforce-developers/salesforce-developers/folder/waribaq/users-and-groups)

## Add Group to Group Set

Adds group to a group set.

**Version:** Available in API 3.22 (Tableau Cloud February 2024 / Server 2024.2) and later. _[Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_

**License:** No additional license required.

**Permissions:** This method can only be called by Tableau Server administrators or Tableau Cloud site admins.  _[Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_

**JWT Access Scope:** tableau:groupsets:update

- For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### URI

PUT api/api-version/sites/site-id/groupsets/group-set-id/groups/group-id

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The unique ID of the site asset.</td></tr><tr><td><span class="api-placeholder">group-set-id</span></td><td>The unique ID of the group set you want to add the group to.</td></tr><tr><td><span class="api-placeholder">group-id</span></td><td>The unique ID of the group you want to add to the group set.</td></tr></tbody></table>

#### Request Body

None

#### Response Code

200

#### Response Body

None

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2" style="width: 87px;"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad request</td><td>The content of the request body is missing or incomplete, or contains malformed XML.</td></tr><tr><td>403</td><td>403004</td><td>Unauthorized operation</td><td>Insufficient permissions to perform the operation.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404012</td><td>Group not found</td><td>The group ID in the request body doesn't correspond to an existing group.</td></tr><tr><td>409</td><td>409120</td><td>Group set not found</td><td>The group set ID in the request body doesn't correspond to an existing group.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Add User to Group

Adds a user to the specified group.

Beginning in API 3.21, you can bulk add users to a group by specifying multiple user IDs.

**Note**: After you create a resource, the server updates its search index. If you make a query immediately to see a new resource, the query results might not be up to date.

#### URI

POST /api/api-version/sites/site-id/groups/group-id/users

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the group.</td></tr><tr><td><span class="api-placeholder">group-id</span></td><td>The ID of the group to add the user to.</td></tr></tbody></table>

#### Request Body

**Add a single user to a group**

```
<tsRequest>
  <user id="user-id" />
</tsRequest>
```

**Bulk add users to a group** (beginning in API 3.21)

```
<tsRequest>
  <users>
	<user id="user-id1" />
	<user id="user-id2" />
	<user id="user-id2" />
  </users>
</tsRequest>
```

#### Attribute Values

<table class="api-parameters-table">
                                <colgroup>
                                    <col class="api-parameters-table-col-1">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td><span class="api-placeholder">user-id</span>
                                        </td>
                                        <td>
                                            <p>
                                    The ID (not name) of the user to add. You can get the user ID by calling <a href="#get_users_on_site">Get Users on Site</a>.
</p>
                                            <p>Beginning in API 3.21, you can bulk add users to a group by specifying multiple user IDs. </p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

#### Permissions

This method can only be called by server administrators and site administrators.

#### Required scope for JWT authorization

Introduced in Tableau Cloud June 2022 (API 3.16) and Tableau Server 2022.3 (API 3.17).

```
tableau:groups:update
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

**Add a single user to a group**

```
<tsResponse>
  <user id="user-id" name="user-name" siteRole="site-role" />
</tsResponse>
```

**Bulk add users to group** (beginning in API 3.21)

```
<tsResponse>
  <users>
	<user id="user-id"
     name="user-name"
     siteRole="site-role" />
	<user id="user-id"
	 name="user-name"
	 siteRole="site-role" />
  </users>
</tsResponse>
```

The siteRole value is returned as one of the following values: Creator, Explorer, ExplorerCanPublish, ServerAdministrator, SiteAdministratorExplorer, SiteAdministratorCreator, Unlicensed, ReadOnly, or Viewer.

#### Version

Version 2.0 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad request</td><td>The content of the request body is missing or incomplete, or contains malformed XML.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404012</td><td>Group not found</td><td>The group name in the request body doesn't correspond to an existing group.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">POST</span>.</td></tr><tr><td>409</td><td>409011</td><td>User conflict</td><td>The specified user is already a member of the group.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

#### Example

##### Add a single user to a group

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d/users" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @add-user-to-group.xml`

**Content of add-user-to-group.xml:**

```
<tsRequest>
  <users id="9f9e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6e6d" />
</tsRequest>
```

**Example response:**

```
<?xml version="1.0" encoding="UTF-8" ?>
<tsResponse version-and-namespace-settings>
  <user id="59a8a7b6-be3a-4d2d-1e9e-08a7b6b5b4ba" name="Adam"
        siteRole="Explorer" />
</tsResponse>
```

##### Bulk add users to a group (beginning in API 3.21)

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d/users" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @bulk-add-user-to-group.xml`

**Content of bulk-add-user-to-group.xml:**

```
<tsRequest>
  <users>
	<user id="9f9e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6e6d" />
	<user id="1z4e8n7q-6t8t-8f8e-7d7c-1b1a2f2d2e2d" />
  </users>
</tsRequest>
```

**Example response:**

```
<?xml version="1.0" encoding="UTF-8" ?>
<tsResponse version-and-namespace-settings>
 <users>
  <user id="59a8a7b6-be3a-4d2d-1e9e-08a7b6b5b4ba" name="Adam"
        siteRole="Explorer" />
  <user id="11a1a1b1-be3a-4d2d-1e9e-08a7b6b5b5ba" name="Sadako"
		siteRole="Explorer" />
 <users>
</tsResponse>
```

## Add User to Site

Adds a user to Tableau Server or Tableau and assigns the user to the specified site.

**Tableau Server**

If Tableau Server is configured to use local authentication, the information you specify is used to create a new user in Tableau Server.

**Note**: After creating the user, you **must** set a full name, password, and email address for the user with the call to [Update User](#update_user). If you are using SAML with local authentication, the user information that you add is not synchronized with the SAML IdP, as it would be if you were using Active Directory. Even if it is not used by SAML, the user information must be present.

If Tableau Server is configured to use Active Directory for authentication, the user you specify is imported from Active Directory into Tableau Server.

**Tableau Cloud**

When you add a user to Tableau Cloud, the name of the user must be the email address that is used to sign in to Tableau Cloud. After you add a user, Tableau Cloud sends the user an email invitation. The user can click the link in the invitation to sign in and update their full name and password.

If you try to add a user using a specific site role but you have already reached the limit on the number of licenses for your users, the user is added as an unlicensed user. In that case, the response code is 201 (which indicates success), but the siteRole value in the response body is set to Unlicensed.

**Note:** After you create a resource, the server updates its search index. If you make a query immediately to see a new resource, the query results might not be up to date.

#### URI

POST /api/api-version/sites/site-id/users

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site to add users to.</td></tr></tbody></table>

#### Request Body

_(Use the icon in the top right corner to copy the text.)_

```
<tsRequest>
  <user name="user-name"
        siteRole="site-role"
        authSetting="auth-setting"
		identityPoolName="identity-pool-name"
		idpConfigurationId="idp-configuration-id"
		email="email-address"
		language="language"
		locale="locale" />
</tsRequest>
```

_(Use the icon in the top right corner to copy the text.)_

```
{
	"user": {
	   "name":"user-name",
	   "siteRole":"site-role",
	   "authSetting":"auth-setting",
	   "identityPoolName":"identity-pool-name",
	   "idpConfigurationId":"idp-configuration-id",
	   "email":"email-address",
	   "language":"language",
	   "locale": "locale"
	 }
}
```

#### Attribute Values

<table class="api-parameters-table">
                                <colgroup><col class="api-parameters-table-col-1-extra-wide">
                                <col>
                                </colgroup><tbody>
                                    <tr>
                                        <td><span class="api-placeholder">user-name</span>
                                        </td>
                                        <td>The name of the user. If the server uses local authentication, this can be any name. If you are using
					Active Directory authentication, or if you are using Tableau Cloud, there are specific requirements for the name.
                                <p><b>Tableau Server</b><br>If Tableau Server uses Active Directory authentication, this must be the name of an existing
					user in Active Directory. If the user name is not unique across domains, you must include the
                    domain as part of the user name (for example, <span class="uicontrol">example\Adam</span> or
					<span class="uicontrol">adam@example.com</span>).
                                </p><p class="note"><strong>Note:</strong> Active Directory specifies a user name using two attributes: <code>sAMAccountName</code>
				     and <code>userPrincipalName</code> (UPN) prefix. For most Active Directory users, these attributes are the same. By default,
				     if you are adding a user from Active Directory, the name that you provide in the <span class="api-placeholder">user-name</span>
					is matched against the Active Directory <code>sAMAccountName</code> attribute, which becomes the name that the user signs in to
					Tableau Server with.
					<br><br>Two exceptions are when the name that you provide: is longer than 20 characters; and includes an <code>@</code> character.
					In these cases, Tableau imports the user using the Active Directory UPN. For more information, see
				<a href="https://msdn.microsoft.com/en-us/library/ms677605(v=vs.85).aspx" rel="noopener" target="_blank">User Naming Attributes</a> on
					the MSDN site.
				</p><p><b>Tableau Cloud</b><br>The <span class="api-placeholder">user-name</span> is the email address that the user will use to sign in to Tableau Cloud.
					When you add a user to the site, Tableau Cloud sends an email invitation. The user can click the link in the invitation to
					sign in and update their full name and password.
				</p></td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">site-role</span>
                                        </td>
                                        <td>The site role to assign to the user. You can assign the following roles:
											<span class="api-command-ref">Creator</span>,
											<span class="api-command-ref">Explorer</span>,
											<span class="api-command-ref">ExplorerCanPublish</span>,
											<span class="api-command-ref">SiteAdministratorExplorer</span>,
											<span class="api-command-ref">SiteAdministratorCreator</span>,
											<span class="api-command-ref">Unlicensed</span>,
											or
										<span class="api-command-ref">Viewer</span>.
                                <p><strong>Note</strong>: You cannot use the REST API to set a user to be a server administrator (<span class="api-command-ref">ServerAdministrator</span> site role).</p></td>
                                    </tr>
                                    <tr>
                                        <td><a name="authsetting"></a><span class="api-placeholder">auth-setting</span>
                                        </td>
                                        <td>(Optional) The authentication method to assign the user.
                                <p><b>Tableau Server</b></p><p>The <span class="api-command-ref">authSetting</span> attribute only applies when updating users on sites with site-specific SAML-enabled settings.</p><p><b>Tableau Cloud</b></p><p>The ability to create and enable multiple authentication methods simultaneously was introduced in API 3.25 (January 2025). As a result of this capability, consider the following:</p><ul><li><p><b>For Tableau with MFA (or Tableau) authentication:</b> To assign Tableau with MFA&nbsp;authentication (or Tableau authentication if still available for your site), you can use the <span class="api-command-ref">authSetting</span> or <span class="api-command-ref"><a href="#idpconfigurationid">idpConfigurationId</a></span> attribute, but not both.</p></li><li><p><b>For SAML and OIDC-based authentication:</b></p><ul><li><p><b>For new configurations:</b> To assign SAML&nbsp;or OIDC-based authentication, whose configurations were created during or after January 2025,  you must use the <span class="api-command-ref">idpConfigurationId</span> attribute for assigning user authentication.  Skip to <a href="#idpconfigurationid" class="xref">idp-configuration-id</a>.</p></li><li><p><b>For existing configurations:</b> To assign SAML&nbsp;and OIDC-based authentication, whose configurations that Tableau has automatically prefixed with "Initial" (such as "Initial SAML," "Initial Google," "Initial OIDC," or "Initial Salesforce"),  you can continue to use the <span class="api-command-ref">authSetting</span> attribute for assigning user authentication. Alternatively, you can use the <span class="api-command-ref"><a href="#idpconfigurationid">idpConfigurationId</a></span> attribute for assigning user authentication. Do not use both.</p></li></ul></li><p><b>Notes:</b></p><ul><li>In cases where both attributes are supported, you can use the <span class="api-command-ref">authSetting</span> attribute or the <span class="api-command-ref">idpConfigurationId</span> attribute, but not both.</li><li>If neither <span class="api-command-ref">authSetting</span> nor <span class="api-command-ref">idpConfigurationId</span> attribute is specified, then <code>TableauIdWithMFA</code> (or in some cases <code>ServerDefault</code> if that option is still available for your site) is the authentication  assigned to the user.</li><li>If you see "Unspecified" as the authentication method for the user in Tableau Cloud or if the user is unable to sign in, use the <span class="api-command-ref">idpConfigurationId</span> attribute instead. For more information, see <a href="https://help.salesforce.com/s/articleView?id=004693708&amp;type=1" target="_blank">When adding users to Tableau Cloud via Rest API, the user's authentication method is listed as "Unspecified" and the user gets error "Remote IdP entity descriptor is not configured" on login attempt</a> knowledge article or skip to <a href="#idpconfigurationid" class="xref">idp-configuration-id</a>.</li></ul></ul><p>You can assign the following values for the <span class="api-command-ref">authSetting</span> attribute:</p><ul><li><code>SAML</code> - The user signs in using the identity provider (IdP) configured for the site.
											For Tableau Cloud configuration, see
											<a href="https://help.tableau.com/current/server/en-us/saml_site_specific.htm" rel="noreferrer" target="_blank">Enable SAML Authentication on a Site</a>.
											For Tableau Server, see
											<a href="https://help.tableau.com/current/server/en-us/saml_site_specific.htm" rel="noreferrer" target="_blank">Configure Site-Specific SAML</a>.
										</li><li><code>OpenID</code> - <i>Tableau Cloud only</i>: The user signs in using Google, Salesforce or OpenID&nbsp;Connect provider credentials.
											<code>OpenID</code> corresponds to Google, Salesforce, or&nbsp;OIDC&nbsp;authentication configuration in Tableau Cloud authentication settings.</li><li><code>TableauIDWithMFA</code> - <i>Tableau Cloud only</i>:&nbsp;The user signs in using a combination of TableauID credentials and a registered verification method. For more information, see <a href="https://help.tableau.com/current/online/en-us/security_auth.htm#mfa_requirement" target="_blank">About multi-factor authentication and Tableau Cloud</a>.</li><li><code>ServerDefault</code> - The user signs in using the default authentication method that's set for the server.
											For Tableau Cloud, if Tableau hasn't updated your site to require Tableau with MFA yet, you can continue to use this authentication type on a temporary basis. The <code>ServerDefault</code> value corresponds to <span class="api-command-ref">TableauID</span> in authentication
											settings. For Tableau Server, the
											<a href="https://help.tableau.com/current/server/en-us/saml.htm" rel="noreferrer" target="_blank">SAML</a>
											Server help page describes default authentication options.
</li></ul></td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">identity-pool-name</span>
                                        </td>
                                        <td>
                              (Optional, Tableau Server only) When identity pools are configured, the name of the identity pool.
                                <p>Starting in API&nbsp;3.19, include the identity pool name when identity pools are configured and you need to add a user to an identity pool that uses the local identity store and OIDC authentication. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_ref_identity_pools.htm" class="xref">Identity Pools Methods</a>.</p></td>
                                    </tr>
                                    <tr>
                                        <td><a name="idpconfigurationid"></a><span class="api-placeholder">idp-configuration-id</span>
                                        </td>
                                        <td>
                                            <p>(Optional, Tableau Cloud only) The configuration to assign for user authentication. Added in API 3.25 (January 2025).</p>
                                            <p>To find the <span class="api-command-ref">idpConfigurationId</span> attribute value, use the <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_ref_site.htm#list_authentication_configurations_site" class="xref">List Authentication Configurations for Site</a> method.</p>
                                            <p><b>Notes:</b>
                                            </p>
                                            <ul>
                                                <li>In cases where both attributes are supported, you can use the <span class="api-command-ref">idpConfigurationId</span> attribute or the <span class="api-command-ref">authSetting</span> attribute, but not both. </li>
                                                <li>If neither <span class="api-command-ref">idpConfigurationId</span> nor <span class="api-command-ref">authSetting</span> attribute is  specified, then <code>TableauIdWithMFA</code> (or in some cases <code>ServerDefault</code> if that option is still available for your site) is the authentication assigned to the user.
</li>
                                            </ul>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">email-address</span>
                                        </td>
                                        <td>(Optional, Tableau Cloud only) The email address where the user can receive notifications. If no value is provided, Tableau Cloud uses the <code>username</code> value to send notifications to.
                                <p>Starting in API 3.26 (July 2025), you can specify an email address that is different from the username.</p></td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">language</span>
                                        </td>
                                        <td>
                                            <p>(Optional, Tableau Cloud only) Language (ISO 639-1) of the user. </p>
                                            <p>Starting in API&nbsp;3.28 (March 2026), you can set the user's default language in Tableau Cloud to a supported language (ISO 639-1). You can assign <b>one</b> of the following values: <span class="api-command-ref">de</span>, <span class="api-command-ref">en_GB</span>, <span class="api-command-ref">en</span>, <span class="api-command-ref">es</span>,<span class="api-command-ref"> fr_CA</span>, <span class="api-command-ref">fr</span>, <span class="api-command-ref">it</span>, <span class="api-command-ref">nl</span>, <span class="api-command-ref">pt</span>, <span class="api-command-ref">sv</span>, <span class="api-command-ref">th</span>, <span class="api-command-ref">ja</span>, <span class="api-command-ref">zh</span>, <span class="api-command-ref">zh_TW</span>, or <span class="api-command-ref">ko</span>.</p>
                                            <p><b>Important:</b> The language set using this attribute overrides the default site-wide invitation <a href="https://help.tableau.com/current/server/en-us/sites_add.htm#email_language" target="_blank">email language</a> that the site admin can set.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">locale</span>
                                        </td>
                                        <td>
                                            <p>(Optional, Tableau Cloud only) Locale of the user. </p>
                                            <p>Starting in API&nbsp;3.28 (March 2026), you can set the user's default locale to a supported locale. You can assign <b>one</b> of the following values: <span class="api-command-ref">ar_SA</span>, <span class="api-command-ref">ar_AE</span>, <span class="api-command-ref">ar_BH</span>, <span class="api-command-ref">ar_DZ</span>, <span class="api-command-ref">ar_EG</span>, <span class="api-command-ref">ar_IQ</span>, <span class="api-command-ref">ar_JO</span>, <span class="api-command-ref">ar_KW</span>, <span class="api-command-ref">ar_LB</span>, <span class="api-command-ref">ar_LY</span>, <span class="api-command-ref">ar_MA</span>, <span class="api-command-ref">ar_OM</span>, <span class="api-command-ref">ar_QA</span>, <span class="api-command-ref">ar_SD</span>, <span class="api-command-ref">ar_SY</span>, <span class="api-command-ref">ar_TN</span>, <span class="api-command-ref">ar_YE</span>, <span class="api-command-ref">be_BY</span>, <span class="api-command-ref">bg_BG</span>, <span class="api-command-ref">ca_ES</span>, <span class="api-command-ref">cs_CZ</span>, <span class="api-command-ref">da_DK</span>, <span class="api-command-ref">de_DE</span>, <span class="api-command-ref">de_AT</span>, <span class="api-command-ref">de_CH</span>, <span class="api-command-ref">de_LU</span>, <span class="api-command-ref">el_GR</span>, <span class="api-command-ref">el_CY</span>, <span class="api-command-ref">en_US</span>, <span class="api-command-ref">en_AU</span>, <span class="api-command-ref">en_CA</span>, <span class="api-command-ref">en_GB</span>, <span class="api-command-ref">en_IE</span>, <span class="api-command-ref">en_IN</span>, <span class="api-command-ref">en_MT</span>, <span class="api-command-ref">en_NZ</span>, <span class="api-command-ref">en_PH</span>, <span class="api-command-ref">en_SG</span>, <span class="api-command-ref">en_ZA</span>, <span class="api-command-ref">es_ES</span>, <span class="api-command-ref">es_AR</span>, <span class="api-command-ref">es_BO</span>, <span class="api-command-ref">es_CL</span>, <span class="api-command-ref">es_CO</span>, <span class="api-command-ref">es_CR</span>, <span class="api-command-ref">es_DO</span>, <span class="api-command-ref">es_EC</span>, <span class="api-command-ref">es_GT</span>, <span class="api-command-ref">es_HN</span>, <span class="api-command-ref">es_MX</span>, <span class="api-command-ref">es_NI</span>, <span class="api-command-ref">es_PA</span>, <span class="api-command-ref">es_PE</span>, <span class="api-command-ref">es_PR</span>, <span class="api-command-ref">es_PY</span>, <span class="api-command-ref">es_SV</span>, <span class="api-command-ref">es_US</span>, <span class="api-command-ref">es_UY</span>, <span class="api-command-ref">es_VE</span>, <span class="api-command-ref">et_EE</span>, <span class="api-command-ref">fi_FI</span>, <span class="api-command-ref">fr_FR</span>, <span class="api-command-ref">fr_BE</span>, <span class="api-command-ref">fr_CH</span>, <span class="api-command-ref">fr_LU</span>, <span class="api-command-ref">fr_CA</span>, <span class="api-command-ref">ga_IE</span>, <span class="api-command-ref">he_IL</span>, <span class="api-command-ref">hi_IN</span>, <span class="api-command-ref">hr_HR</span>, <span class="api-command-ref">hu_HU</span>, <span class="api-command-ref">id_ID</span>, <span class="api-command-ref">is_IS</span>, <span class="api-command-ref">it_IT</span>, <span class="api-command-ref">it_CH</span>, <span class="api-command-ref">ja_JP</span>, <span class="api-command-ref">ko_KR</span>, <span class="api-command-ref">lt_LT</span>, <span class="api-command-ref">lv_LV</span>, <span class="api-command-ref">mk_MK</span>, <span class="api-command-ref">ms_MY</span>, <span class="api-command-ref">mt_MT</span>, <span class="api-command-ref">nl_NL</span>, <span class="api-command-ref">nl_BE</span>, <span class="api-command-ref">no_NO</span>, <span class="api-command-ref">pl_PL</span>, <span class="api-command-ref">pt_BR</span>, <span class="api-command-ref">pt_PT</span>, <span class="api-command-ref">ro_RO</span>, <span class="api-command-ref">ru_RU</span>, <span class="api-command-ref">sk_SK</span>, <span class="api-command-ref">sl_SI</span>, <span class="api-command-ref">sq_AL</span>, <span class="api-command-ref">sr_RS</span>, <span class="api-command-ref">sr_BA</span>, <span class="api-command-ref">sr_ME</span>, <span class="api-command-ref">sv_SE</span>, <span class="api-command-ref">th_TH</span>, <span class="api-command-ref">tr_TR</span>, <span class="api-command-ref">uk_UA</span>, <span class="api-command-ref">vi_VN</span>, <span class="api-command-ref">zh_CN</span>, <span class="api-command-ref">zh_HK</span>, <span class="api-command-ref">zh_SG</span>, or <span class="api-command-ref">zh_TW</span>.</p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

#### Permissions

This method can only be called by server administrators and site administrators.

#### Required scope for JWT authorization

Introduced in Tableau Cloud June 2022 (API 3.16) and Tableau Server 2022.3 (API 3.17).

```
tableau:users:create
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

201

#### Response Body

```
<tsResponse>
  <user id="user-id"
   name="user-name"
   siteRole="site-role"
   authSetting="auth-setting"
   identityPoolName="identity-pool-name"
   idpConfigurationId="idp-configuration-id"
   email="email-address"
   language="langauge"
   locale="locale" />
</tsResponse>
```

#### Response Headers

Location: /api/3.29/sites/site-id/users/new-user-id

#### Version

Version 1.0 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table">
                                <colgroup>
                                    <col class="api-error-table-col-1">
                                    <col class="api-error-table-col-2">
                                    <col class="api-error-table-col-3">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>HTTP status</th>
                                        <th><code>error</code> Code</th>
                                        <th>Condition</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400000</td>
                                        <td>Bad request</td>
                                        <td>The content of the request body is missing or incomplete, or contains malformed XML.</td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400003</td>
                                        <td>Bad request</td>
                                        <td>The user authentication setting <code>ServerDefault</code> is not supported for you site. Try again using <code>TableauIDWithMFA</code> instead.</td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400013</td>
                                        <td>Invalid site role</td>
                                        <td>
                                            <p>The value of the <span class="api-command-ref">siteRole</span> attribute must be
											<span class="api-command-ref">Explorer</span>,
											<span class="api-command-ref">ExplorerCanPublish</span>,
											<span class="api-command-ref">SiteAdministratorCreator</span>,
											<span class="api-command-ref">SiteAdministratorExplorer</span>,
											<span class="api-command-ref">Unlicensed</span>,
											or <span class="api-command-ref">Viewer</span>.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400217</td>
                                        <td>Unsupported language</td>
                                        <td>The specified language is not valid or not supported.</td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400218</td>
                                        <td>Unsupported locale</td>
                                        <td>The specified locale is not valid or not supported.</td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403193</td>
                                        <td>Forbidden</td>
                                        <td>A non-administrator user called this method or doesn't have permissions to update language for the user. </td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403194</td>
                                        <td>Forbidden</td>
                                        <td>A non-administrator user called this method or doesn't have permissions to update locale for the user. </td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404000</td>
                                        <td>Site not found</td>
                                        <td>The site ID in the URI doesn't correspond to an existing site.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404002</td>
                                        <td>User not found</td>
                                        <td>
                                    The server is configured to use Active Directory for authentication, and the username specified in the request body
                                    doesn't match an existing user in Active Directory.
                                </td>
                                    </tr>
                                    <tr>
                                        <td>405</td>
                                        <td>405000</td>
                                        <td>Invalid request method</td>
                                        <td>Request type was not <span class="api-command-ref">POST</span>.</td>
                                    </tr>
                                    <tr>
                                        <td>409</td>
                                        <td>409017</td>
                                        <td>User conflict</td>
                                        <td>The specified user already exists on the site.</td>
                                    </tr>
                                    <tr>
                                        <td>409</td>
                                        <td>409005</td>
                                        <td>Guest user conflict</td>
                                        <td>The Tableau Server API doesn't allow adding a user with the guest role to a site.</td>
                                    </tr>
                                    <tr>
                                        <td>500</td>
                                        <td>500109</td>
                                        <td>Internal language error</td>
                                        <td>The language request could not be completed.</td>
                                    </tr>
                                    <tr>
                                        <td>500</td>
                                        <td>500110</td>
                                        <td>Internal locale error</td>
                                        <td>The locale request could not be completed.</td>
                                    </tr>
                                </tbody>
                            </table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

#### Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/users/" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @add-user-to-site.xml`

- `MY-SERVER` is the name or IP address of your server.
- `9a8b7c6d5-e4f3-a2b1-c0d9-e8f7a6b5c4d` is the ID of the site to add the user to, as returned by a previous call to [Sign In](#sign_in).
- `12ab34cd56ef78ab90cd12ef34ab56cd` is the authentication returned by a previous call to [Sign In](#sign_in).

**Content of add-user-to-site.xml:**

```
<tsRequest>
  <user name="Adam"
    siteRole="Explorer" />
</tsRequest>
```

**Example response:**

```
<tsResponse version-and-namespace-settings>
  <user id="9f9e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6e6d"
    name="Adam"
    siteRole="Explorer"
    authSetting="ServerDefault"  />
</tsResponse>
```

## Create Group

Creates a group on a Tableau Cloud site or Tableau Server.

**Notes:**

- To add users to a group, call [Add User To Group](#add_user_to_group). To make changes to an existing group, call [Update Group](#update_group).
- After you create a group, the server updates its search index. If you make a query immediately to see the new group, the query results might not be up to date.

**Tableau Cloud**

The Create Group response returns information in two ways: in the response header and in the response body. The ID of the new group is always returned as the value of the Location header. If you create a local group immediately, the response body contains the name and ID of the new group.

**Tableau Server**

The Create Group response returns information in two ways: in the response header and in the response body. The ID of the new group is always returned as the value of the Location header. If you create a local group or import an Active Directory group immediately, the response body contains the name and ID of the new group. If you import an Active Directory group using a background process, the response body contains a <job> element that includes a job ID. You can use the job ID to check the status of the operation by calling [Query Job](#query_job).

If Tableau Server is configured to use Active Directory for authentication, this method can create a group and then import users from an Active Directory group. If you use the **Create Group** method to import users from an Active Directory, the import process can be performed immediately (synchronously) or as a background job (asynchronously). If Active Directory contains a large number of users, you should import them asynchronously; otherwise, the process can time out.

#### URI

POST /api/api-version/sites/site-id/groups

POST /api/api-version/sites/site-id/groups?asJob=asJob-value

#### Parameter Values

<table class="api-parameters-table">
                                <colgroup>
                                    <col class="api-parameters-table-col-1-extra-wide">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td><span class="api-placeholder">api-version</span>
                                        </td>
                                        <td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">site-id</span>
                                        </td>
                                        <td>The ID of the site to create the group in.</td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">asJob-value</span>
                                        </td>
                                        <td>
                                        A Boolean value that is used if you are importing from Active Directory. If you set this to <span class="api-command-ref">false</span> (the default), the import process runs as a synchronous process.
                                        If the Active Directory group contains many
                                        users, the process might time out before it finishes.
                                        <p>
                                        If you set this to <span class="api-command-ref">true</span>, the process runs asynchronously. In that case,
                                        Tableau Server starts a job to perform the import and returns the job ID in the <span class="api-command-ref">Location</span> header.
                                        You can check the status of the import job by calling <a href="#query_job"><span class="api-command-ref">Query Job</span></a>.
                                    </p><p class="note"><strong>Note</strong>: This parameter has no effect if the server is configured to use local authentication.</p><p>This attribute is available for Tableau Server only.</p></td>
                                    </tr>
                                </tbody>
                            </table>

#### Request Body

**Creating a local group**

```
<tsRequest>
  <group name="new-tableau-server-group-name"
   minimumSiteRole="minimum-site-role"
   externalUserEnabled="on-demand-access"/>
</tsRequest>
```

**Notes:**

- When the request is to create a local group and minimumSiteRole is specified, users are granted a license using the grant license on-login mode by default.

**Importing a group from Active Directory** (Tableau Server only)

```
<tsRequest>
  <group name="active-directory-group-name" >
    <import source="ActiveDirectory"
      domainName="active-directory-domain-name"
      grantLicenseMode="license-mode"
      siteRole="minimum-site-role"/>
  </group>
</tsRequest>
```

**Notes:**

- When the request is to create a group with grantLicenseMode, a siteRole value should also be supplied.

- When the request body contains an <import> element, a Tableau Server configured to authenticate via Active Directory will create the group and modify the set of users in the group to be the same as those in Active Directory. The source attribute of the <import> element must be set to `ActiveDirectory`. If Tableau Server or Tableau Cloud site is configured to use local authentication, including an <import> element has no effect.

- When a group is created by importing from Active Directory, Tableau Server uses the value of the Active Directory `sAMAccountName` attribute as the user name.

#### Attribute Values

<table class="api-parameters-table">
                                <colgroup>
                                    <col style="width:32%;">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td><span class="api-placeholder">new-tableau-server-group-name</span>
                                        </td>
                                        <td>
                                    The name for the new group.
                                </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">active-directory-group-name</span>
                                        </td>
                                        <td>
                                            <p>The name of the Active Directory group to import.</p>
                                            <p>This attribute is available for Tableau Server only.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">active-directory-domain-name</span>
                                        </td>
                                        <td>
                                            <p>The domain of the Active Directory group to import.</p>
                                            <p>This attribute is available for Tableau Server only.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">minimum-site-role</span>
                                        </td>
                                        <td>
                                            <p>Required if an <span class="api-placeholder">import</span> element or <span class="api-placeholder">grantLicenseMode</span>
									attribute are present in the request. For Tableau Server, the site role assigned to users who are imported from Active Directory or granted a
									license automatically using the grant license on-sync or on-login mode.
								</p>
                                            <p>
									If the requested user name matches an existing user in the group, the user either retains their existing role or are granted the one
									specified in the request, based on the role that enables the most capabilities. This is true whether the group the user belongs to is
									imported from Active Directory (Tableau Server only) or local.
								</p>
                                            <p>
									Site roles that can be assigned, listed from the one enabling the least capabilities to
									the most, are as follows.</p>
                                            <ol>
                                                <li value="1"><span class="api-command-ref">Unlicensed</span>
                                                    <br>
                                                </li>
                                                <li value="2"><span class="api-command-ref">Viewer</span>
                                                    <br>
                                                </li>
                                                <li value="3"><span class="api-command-ref">Explorer</span>
                                                    <br>
                                                </li>
                                                <li value="4"><span class="api-command-ref">ExplorerCanPublish</span>
                                                    <br>
                                                </li>
                                                <li value="5"><span class="api-command-ref">Creator</span>
                                                    <br>
                                                </li>
                                                <li value="6"><span class="api-command-ref">SiteAdministratorExplorer</span>
                                                </li>
                                                <li value="7"><span class="api-command-ref">SiteAdministratorCreator</span>
                                                    <br>
                                                </li>
                                            </ol>
                                            <p class="note"><strong>Note</strong>: You cannot use the REST API to set a user to be a Tableau Server administrator
								(<span class="api-command-ref">ServerAdministrator</span> site role).</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">license-mode</span>
                                        </td>
                                        <td>
                                            <p>
									The mode for automatically applying licenses for group members. When the mode is
									<span class="api-command-ref">onLogin</span>, a license is granted for each group member when they log in to a site.
								</p>
                                            <p>
									For local groups, the mode can be either <span class="api-command-ref">onLogin</span> or unset. If the attribute is omitted,
									the default mode is unset, which results in no licenses being granted automatically to group members.
								</p>
                                            <p>
									For groups that import an Active Directory domain, the mode can be either <span class="api-command-ref">onSync</span>
									or <span class="api-command-ref">onLogin</span>.
								</p>
                                            <p>
									The minimum role granted to users through <span class="api-placeholder">grantLicenseMode</span> is specified in the
									<span class="api-placeholder">siteRole</span> attribute. If that role has less permissions than an existing role
									assigned to the user, then the user's permissions remain unchanged.
								</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><a name="oda"></a><span class="api-placeholder">on-demand-access</span>
                                        </td>
                                        <td>
                                            <p>Optional. A boolean value that is used to enable on-demand access for embedded Tableau content when the Tableau Cloud site is licensed with <a href="https://help.tableau.com/current/online/en-us/license_product_keys.htm#embedded-analytics" target="_blank">Embedded Analytics</a> usage-based model or <a href="https://help.tableau.com/current/online/en-us/license_product_keys.htm#capacity" target="_blank">capacity-based model</a> with Cloud+ or Tableau+ edition. </p>
                                            <p>Set to <span class="api-command-ref">true</span> to enable the capability for the group or set to <span class="api-command-ref">false</span> to disable the capability for the group.  For more information about on-demand access, see <a href="https://help.tableau.com/current/api/embedding_api/en-us/docs/embedding_api_user_attributes.html#on-demand-access-for-users" target="_blank">On-demand access for users</a> in the Tableau Embedding API v3 Help.</p>
                                            <p>This attribute is available for Tableau Cloud only starting from API version 3.21 (October 2023).
</p>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

#### Permissions

This method can only be called by Tableau Server administrators or Tableau Cloud site admins.

#### Required scope for JWT authorization

Introduced in Tableau Cloud June 2022 (API 3.16) and Tableau Server 2022.3 (API 3.17).

```
tableau:groups:create
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

201, for creating a local group and for importing immediately

202, for importing using a background process

#### Response Headers

Location: /api/3.29/sites/site-id/groups/new-group-id

#### Response Body

**Creating a local group:**

```
<tsResponse>
  <group id="new-group-id"
	name="group-name"
	minimumSiteRole="minimum-site-role"
	externalUserEnabled="true" />
	<import domainName="local" siteRole="default-site-role" grantLicenseMode="license-mode" />
  </group>
</tsResponse>
```

**Creating a group and importing from Active Directory immediately (Tableau Server only):**

```
<tsResponse>
  <group id="new-group-id"
    name="group-name">
	  <import domainName="active-directory-domain-name”
        siteRole="default-site-role"
	 grantLicenseMode="onLogin" />
  </group>
</tsResponse>
```

**Importing as a background process:**

```
<tsResponse>
  <job id="job-id" mode="Asynchronous" type="GroupImport"
    progress="0" createdAt="time-job-created" />
</tsResponse>
```

#### Version

Version 3.9 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table">
                                <colgroup>
                                    <col class="api-error-table-col-1">
                                    <col class="api-error-table-col-2">
                                    <col class="api-error-table-col-3">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>HTTP status</th>
                                        <th><code>error</code> Code</th>
                                        <th>Condition</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400000</td>
                                        <td>Bad request</td>
                                        <td>The content of the request body is missing or incomplete, or contains malformed XML.</td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400013</td>
                                        <td>Invalid site role</td>
                                        <td>
                                            <p>The value of the <span class="api-command-ref">minimumSiteRole</span> or <span class="api-command-ref">siteRole</span> attribute must be
									<span class="api-command-ref">Creator</span>,
									<span class="api-command-ref">Explorer</span>,
									<span class="api-command-ref">ExplorerCanPublish</span>,
									<span class="api-command-ref">SiteAdministratorCreator</span>,
									<span class="api-command-ref">SiteAdministratorExplorer</span>,
									<span class="api-command-ref">Unlicensed</span>,
									or <span class="api-command-ref">Viewer</span>.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400019</td>
                                        <td>Malformed import element</td>
                                        <td>
                                When the <span class="api-command-ref">&lt;import&gt;</span> element is present in the request body, the following attributes must be specified:
                                <span class="api-command-ref">source</span> with the value <span class="api-command-ref">ActiveDirectory</span>;
								<span class="api-command-ref">domainName</span>;
								and  <span class="api-command-ref">siteRole</span>
								If any of these is missing, the element is malformed.
                             </td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400984</td>
                                        <td>Not licensed</td>
                                        <td>On-demand access can't be enabled if your site is not licensed with the usage-based model or capacity-based usage model with Tableau+ or Cloud+. </td>
                                    </tr>
                                    <tr>
                                        <td>403</td>
                                        <td>403011</td>
                                        <td>Active Directory is not configured</td>
                                        <td>The <span class="api-command-ref">&lt;import&gt;</span> element is present, but Tableau Server is configured for local authentication.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404000</td>
                                        <td>Site not found</td>
                                        <td>The site ID in the URI doesn't correspond to an existing site.</td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404016</td>
                                        <td>Domain not found</td>
                                        <td>
                                    The request body includes an <span class="api-command-ref">&lt;import&gt;</span> element, but the specified domain name doesn't exist
                                    in Active Directory.
                                </td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404017</td>
                                        <td>Active Directory group not found</td>
                                        <td>
                                    The request body includes an <span class="api-command-ref">&lt;import&gt;</span> element, but no group exists in
                                    Active Directory that matches the specified group name.
                                </td>
                                    </tr>
                                    <tr>
                                        <td>405</td>
                                        <td>405000</td>
                                        <td>Invalid request method</td>
                                        <td>Request type was not <span class="api-command-ref">POST</span>.</td>
                                    </tr>
                                    <tr>
                                        <td>409</td>
                                        <td>409009</td>
                                        <td>Group name conflict</td>
                                        <td>The group name in the request already belongs to the specified site.  For the purpose of uniqueness checks, group names are case-insensitive.</td>
                                    </tr>
                                </tbody>
                            </table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

#### Example: Local Group

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @create-local-group.xml`

**Content of create-local-group.xml:**

```
<tsRequest>
  <group name="marketing-group" externalUserEnabled="true" />
</tsRequest>
```

**Response header:**

`Location: /api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/1a2b3c4d5-e6f7-a8b9-c0d1-e2f3a4b5c6d`

**Response body:**

```
<tsResponse version-and-namespace-settings>
  <group id="1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d" name="marketing-group" externalUserEnabled="true"/>
</tsResponse>
```

#### Example: Active Directory Group

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @create-ad-group.xml`

**Content of create-ad-group.xml:**

```
<tsRequest>
  <group id="1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d" name="marketing-group">
    <import domainName="MY-DOMAIN" siteRole="Viewer" grantLicenseMode="onLogin" />
  </group>
</tsRequest>
```

**Response header:**

`Location: /api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/1a2b3c4d5-e6f7-a8b9-c0d1-e2f3a4b5c6d`

**Response body:**

```
<tsResponse version-and-namespace-settings>
  <group id="1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d" name="marketing-group">
	  <import domainName="MY-DOMAIN" siteRole="Viewer" grantLicenseMode="onLogin" />
  </group>
</tsResponse>
```

## Create Group Set

Creates a group set with a specified name.

**Note**: You can't use this method to populate the group set with groups. After you create a group set and its ID is available, you can add a group to the group set by calling [Add Group to Group Set](#add_group_to_groupset).

**Version:** Available in API 3.22 (Tableau Cloud February 2024 / Server 2024.2) and later. _[Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_

**License:** No additional license required.

**Permissions:** This method can only be called by Tableau Server administrators or Tableau Cloud site admins.  _[Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_

**JWT Access Scope:** tableau:groupsets:create

- For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### URI

POST /api/api-version/sites/site-id/groupsets

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-extra-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site to create the group in.</td></tr></tbody></table>

#### Request Body

Copy

```
<tsRequest>  <groupSet name="newGroupSet" /></tsRequest
```

Copy

```
{  "groupSet": {    "@name": "marketing-group"  }}
```

#### Request Attributes

<table class="api-parameters-table">
                            <colgroup>
                                <col class="api-parameters-table-col-1">
                                <col>
                            </colgroup>
                            <tbody>
                                <tr>
                                    <td><code>name</code>
                                    </td>
                                    <td>
                                        <p>
								(Required) Name of the new group set.</p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

#### cURL Request Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groupsets/" --header "Content-Type: application/xml" --header "X-Tableau-Auth: YqB9_MHoTHO26HGsFBFEBg|bQDOIH4MsqFGvUDYTrRYh633vrZHBt6d|a946d998-2ead-4894-bb50-1054a91dcab3" --data "<tsRequest> <groupSet name='marketing-group' /> </tsRequest>"`

#### Response Code

201, for creating a group set.

#### Response Body

Copy

```
<tsRequest>  <groupSet id="4123e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6234"     name="marketing-group"     groupCount="0" /></tsRequest>
```

Copy

```
{  "groupSet": {    "id": "4123e9d9c-8b8a-8f8e-7d7c-7b7a6f6d6234",    "name": "marketing-group",    "groupCount": "0"  }}
```

#### Errors

<table class="api-error-table">
                                <colgroup>
                                    <col class="api-error-table-col-1">
                                    <col class="api-error-table-col-2">
                                    <col class="api-error-table-col-3">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <th>HTTP status</th>
                                        <th><code>error</code> Code</th>
                                        <th>Condition</th>
                                        <th>Details</th>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400000</td>
                                        <td>Bad request</td>
                                        <td>The content of the request body is missing or incomplete, or contains malformed XML.</td>
                                    </tr>
                                    <tr>
                                        <td>400</td>
                                        <td>400013</td>
                                        <td>Invalid site role</td>
                                        <td>
                                            <p>The value of the <span class="api-command-ref">minimumSiteRole</span> or <span class="api-command-ref">siteRole</span> attribute must be
<span class="api-command-ref">SiteAdministratorCreator</span> or
									<span class="api-command-ref">SiteAdministratorExplorer</span>.</p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>404</td>
                                        <td>404000</td>
                                        <td>Site not found</td>
                                        <td>The site ID in the URI doesn't correspond to an existing site.</td>
                                    </tr>
                                    <tr>
                                        <td>405</td>
                                        <td>405000</td>
                                        <td>Invalid request method</td>
                                        <td>The request type wasn’t <span class="api-command-ref">POST</span>.</td>
                                    </tr>
                                    <tr>
                                        <td>409</td>
                                        <td>409121</td>
                                        <td>Group set name conflict</td>
                                        <td>The group set name in the request already belongs to another group set.  For the purpose of uniqueness checks, group set names are case-insensitive.</td>
                                    </tr>
                                </tbody>
                            </table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Create SCIM Configuration

Creates the System for Cross-domain Identity Management Configuration (SCIM) configuration on the Tableau Cloud site.

The SCIM capability requires that you configure authentication for your Tableau Cloud site and associate the SCIM configuration with the authentication configuration. For more information about the SCIM capability in Tableau, see [SCIM](https://help.tableau.com/current/online/en-us/scim_config_online.htm) in the Tableau Cloud Help.

**Version**: Available in API 3.26 (Tableau Cloud August 2025) and later.

**License**: No additional license required.

**Permissions**: Tableau Cloud site admins only.

**Access Scope**: `tableau:scim_configurations:create`

- Scope added in API 3.27 (Tableau Cloud December 2025)

_For more information, see_ [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_,_ [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_, [access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps:_ [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm)_._

#### URI

POST /api/api-version/sites/site-luid/scimConfigurations

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-luid</span></td><td>The LUID for the site.</td></tr></tbody></table>

#### Request Body

```
<tsRequest>
  <scimConfiguration>
    <name>SCIM Contractors</name>
    <idpConfigurationId>d3b782da-0787-44ca-8585-6fd48dbfc658d3b782da-0787-44ca-8585-6fd48dbfc658</idpConfigurationId>
  </scimConfiguration>
</tsRequest>
```

```
{
"scimConfiguration": {
  "name": "SCIM Contractors",
  "idpConfigurationId": "d3b782da-0787-44ca-8585-6fd48dbfc658d3b782da-0787-44ca-8585-6fd48dbfc658"
  }
}
```

#### cURL Request Example

```
POST request: curl --location 'https://prod-ca-a.online.tableau.com/api/3.29/sites/0f04ea64-0d72-424a-afd8-ee7d758dc9b8/scimConfigurations \ --data '{ "scimConfiguration":{ "name": "SCIM Contractors","idpConfigurationId": "d3b782da-0787-44ca-8585-6fd48dbfc658d3b782da-0787-44ca-8585-6fd48dbfc658" } }'
```

#### Attribute Values

<table class="api-parameters-table">
                            <colgroup>
                                <col class="api-parameters-table-col-1-wide" style="width: 264px;">
                                <col>
                            </colgroup>
                            <tbody>
                                <tr>
                                    <td><span class="api-placeholder">name</span>
                                    </td>
                                    <td>(Required) Name of the SCIM&nbsp;configuration.</td>
                                </tr>
                                <tr>
                                    <td><span class="api-placeholder">idpConfigurationId</span>
                                    </td>
                                    <td>
                                        <p>(Required) Authentication configuration to associate with the SCIM&nbsp;configuration.
</p>
                                        <p>Starting in API 3.26, you can have  multiple SCIM&nbsp;configurations. Include the <span class="api-command-ref">idpConfigurationId</span> to identify which SAML&nbsp;authentication configuration to associate with this SCIM&nbsp;configuration. To get the <span class="api-command-ref">idpConfigurationId</span>, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_ref_site.htm#list_authentication_configurations_site" class="xref">List Authentication Configurations for Site</a>.</p>
                                        <p>Starting in API&nbsp;3.28, you can associate OIDC or Google authentication with SCIM.</p>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

#### Response Code

201

#### Response Body

```
<tsResponse>
  <scimConfiguration>
    <id>065693d8-436a-4738-a8f1-375953a2a888</id>
    <idpConfigurationId>95dcdf3b-30eb-42ae-b938-7ffca3e11fdc</idpConfigurationId>
    <isApiTokenActive>false</isApiTokenActive>
    <isOwner>true</isOwner>
    <name>SCIM Contractors</name>
    <createdAt>Tue Apr 01 06:31:47 UTC 2025</createdAt>
  </scimConfiguration>
</tsResponse>
```

```
{
  "scimConfiguration": {
    "id": "065693d8-436a-4738-a8f1-375953a2a888",
    "idpConfigurationId": "95dcdf3b-30eb-42ae-b938-7ffca3e11fdc",
    "isApiTokenActive": false,
    "isOwner": true,
    "name": "SCIM Contractors",
    "createdAt": "Tue Apr 01 06:31:47 UTC 2025"
  }
}
```

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad Request</td><td>The content of the request body is missing or incomplete, contains malformed XML, or the <code>idpConfigurationId</code> is not valid.</td></tr><tr><td>400</td><td>400008</td><td>Bad Request</td><td>The content of the request body is missing the SCIM configuration name, contains unsupported attributes, or the <code>idpConfigurationId</code> is missing.</td></tr><tr><td>400</td><td>400802</td><td>Bad Request</td><td>The maximum number of 20 SCIM configurations for the site has been reached.</td></tr><tr><td>401</td><td>401002</td><td>Unauthorized Access</td><td>The authentication token provided in the request header is invalid or has expired.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Create SCIM Token

Generates the System for Cross-domain Identity Management (SCIM) token and secret.

You must be the user who created the SCIM configuration to generate the associated SCIM token. After the SCIM token is generated, ensure the SCIM token's secret is added to the identity provider's (IdP's) SCIM settings.

**Version**: Available in API 3.26 (Tableau Cloud August 2025) and later.

**License**: No additional license required.

**Permissions**: Tableau Cloud site admins only.

**Access Scope**: Not available

_For more information, see_ [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_,_ [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_, and access scopes for_ [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm)_._

#### URI

POST /api/api-version/sites/site-luid/scimConfigurations/scim-configuration-id/apiToken

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-luid</span></td><td>The LUID for the site.</td></tr><tr><td><span class="api-placeholder">scim-configuration-id</span></td><td>The UUID of the SCIM configuration. To get the SCIM&nbsp;configuration UUID, see <a href="#list_scim_configurations">List SCIM Configurations</a>.</td></tr></tbody></table>

#### Request Body

None

#### cURL Request Example

```
POST request: curl --location 'https://prod-ca-a.online.tableau.com/api/3.29/sites/0f04ea64-0d72-424a-afd8-ee7d758dc9b8/scimConfigurations/065693d8-436a-4738-a8f1-375953a2a888/apiToken' 
```

#### Response Code

201

#### Response Body

```
<tsResponse>
  <id>065693d8-436a-4738-a8f1-375953a2a888</id>
  <clientName>SCIM_CLIENT_API_TOKEN:d3b782da-0787-44ca-8585-6fd48dbfc658</clientName>
  <secret>hqh8YEoYQ1enO9t9Z3h1xA==:X_jndRxNXuWKIXIUbvSGEvysnnSK6B7pt62GiWd8Vuw=</secret>
</tsResponse>
```

```
{
  "apiToken": {
    "id": "065693d8-436a-4738-a8f1-375953a2a888",
    "clientName": "SCIM_CLIENT_API_TOKEN:d3b782da-0787-44ca-8585-6fd48dbfc658",
    "secret": "hqh8YEoYQ1enO9t9Z3h1xA==:X_jndRxNXuWKIXIUbvSGEvysnnSK6B7pt62GiWd8Vuw="
  }
}
```

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad Request</td><td>The content of the request body is missing or incomplete, or contains malformed XML.</td></tr><tr><td>400</td><td>400802</td><td>Bad Request</td><td>The SCIM&nbsp;configuration is already associated with a SCIM&nbsp;token. To generate a new token for the SCIM configuration, first delete the associated SCIM&nbsp;token and try again.</td></tr><tr><td>401</td><td>401002</td><td>Unauthorized Access</td><td>The authentication token provided in the request header is invalid or has expired.</td></tr><tr><td>403</td><td>403182</td><td>Forbidden</td><td>A SCIM token can only be generated by the user who created the SCIM&nbsp;configuration.</td></tr><tr><td>404</td><td>404057</td><td>Resource Not Found</td><td>The SCIM&nbsp;configuration ID is not valid.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete Group

Deletes the group on a specific site. Deleting a group does not delete the users in group, but users are no longer members of the group. Any permissions that were previously assigned to the group no longer apply.

**Note**: You cannot delete the All Users group.

#### URI

DELETE /api/api-version/sites/site-id/groups/group-id

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the project.</td></tr><tr><td><span class="api-placeholder">group-id</span></td><td>The ID of the group to delete.</td></tr></tbody></table>

#### Request Body

None

#### Permissions

This method can be called by site administrators.

#### Required scope for JWT authorization

Introduced in Tableau Cloud June 2022 (API 3.16) and Tableau Server 2022.3 (API 3.17).

```
tableau:groups:delete
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

204

#### Response Body

None

#### Version

Version 2.1 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID or URL namespace in the URI doesn't correspond to an existing site.</td></tr><tr><td>404</td><td>404012</td><td>Group not found</td><td>The group ID in the URI doesn't correspond to an existing group or the group is not part of the specified site.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">DELETE</span>.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

#### Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groups/1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d" -X DELETE -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd"`

The response contains no body (data) for a successful delete operation. The HTTP response code is 204 if the delete operation succeeded.

## Delete Group Set

Deletes the group set on a specific site. Deleting a group set doesn’t delete the users in the group set, but users are no longer members of the group set. Any permissions that were previously assigned to the group set no longer apply.

**Version:** Available in API 3.22 (Tableau Cloud February 2024 / Server 2024.2) and later. _[Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_

**License:** No additional license required.

**Permissions:** This method can only be called by Tableau Server administrators or Tableau Cloud site admins.  _[Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_

**JWT Access Scope:** tableau:groupsets:delete

- For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### URI

DELETE /api/api-version/sites/site-id/groupsets/group-set-id

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that contains the project.</td></tr><tr><td><span class="api-placeholder">group-set-id</span></td><td>The ID of the group set to delete.</td></tr></tbody></table>

#### Request Body

None

#### cURL Request Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/groupsets/1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d" -X DELETE -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd"`

The response contains no body (data) for a successful delete operation. The HTTP response code is 204 if the delete operation succeeded.

#### Response Code

204

#### Response Body

None

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID or URL namespace in the URI doesn't correspond to an existing site.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type wasn’t <span class="api-command-ref">DELETE</span>.</td></tr><tr><td>409</td><td>409120</td><td>Group set not found</td><td>The group set ID in the URI doesn't correspond to an existing group set or the group set isn’t part of the specified site.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete SCIM Configuration

Permanently removes the System for Cross-domain Identity Management (SCIM) configuration from the Tableau Cloud site.

Deleting the SCIM configuration deletes the associated SCIM token. You must be the user who created the SCIM configuration to delete the SCIM configuration unless the creator of the SCIM configuration is no longer a member of the site. After the SCIM configuration is deleted, ensure the SCIM token's secret is also removed from the identity provider's (IdP's) SCIM settings.

**Version**: Available in API 3.26 (Tableau Cloud August 2025) and later.

**License**: No additional license required.

**Permissions**: Tableau Cloud site admins only.

**Access Scope**: `tableau:scim_configurations:delete`

- Scope added in API 3.27 (Tableau Cloud December 2025)

_For more information, see_ [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_,_ [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_, [access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps:_[Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm)_._

#### URI

DELETE /api/api-version/sites/site-luid/scimConfigurations/scim-configuration-id

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-luid</span></td><td>The LUID for the site.</td></tr><tr><td><span class="api-placeholder">scim-configuration-id</span></td><td>The UUID of the SCIM configuration. To get the SCIM&nbsp;configuration UUID, see <a href="#list_scim_configurations">List SCIM Configurations</a>.</td></tr></tbody></table>

#### Request Body

None

#### cURL Request Example

```
DELETE request: curl --location --request DELETE 'https://prod-ca-a.online.tableau.com/api/3.29/sites/0f04ea64-0d72-424a-afd8-ee7d758dc9b8/scimConfigurations/065693d8-436a-4738-a8f1-375953a2a888'
```

#### Response Code

204

#### Response Body

None

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>401</td><td>401002</td><td>Unauthorized Access</td><td>The authentication token provided in the request header is invalid or has expired.</td></tr><tr><td>403</td><td>403182</td><td>Forbidden</td><td>The SCIM&nbsp;configuration can only be deleted by the user who created the SCIM&nbsp;configuration.</td></tr><tr><td>404</td><td>404057</td><td>Resource Not Found</td><td>The SCIM&nbsp;configuration cannot be deleted because it does not exist on this site.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete SCIM Token

Permanently removes the System for Cross-domain Identity Management (SCIM) token.

You must be the user that created the SCIM configuration to delete the associated SCIM token unless the creator of the SCIM configuration is no longer a member of the site. After the SCIM token is deleted, ensure the SCIM token's secret is also removed from the identity provider's (IdP's) SCIM settings.

**Version**: Available in API 3.26 (Tableau Cloud August 2025) and later.

**License**: No additional license required.

**Permissions**: Tableau Cloud site admins only.

**Access Scope**: `tableau:scim_api_tokens:delete`

- Scope added in API 3.27 (Tableau Cloud December 2025)

_For more information, see_ [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_,_ [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_, [access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps:_[Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm)_._

#### URI

DELETE /api/api-version/sites/site-luid/scimConfigurations/scim-configuration-id/apiToken

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-luid</span></td><td>The LUID for the site.</td></tr><tr><td><span class="api-placeholder">scim-configuration-id</span></td><td>The UUID of the SCIM configuration. To get the SCIM&nbsp;configuration UUID, see <a href="#list_scim_configurations">List SCIM Configurations</a>.</td></tr></tbody></table>

#### Request Body

None

#### cURL Request Example

```
DELETE request: curl --location --request DELETE 'https://prod-ca-a.online.tableau.com/api/3.29/sites/0f04ea64-0d72-424a-afd8-ee7d758dc9b8/scimConfigurations/065693d8-436a-4738-a8f1-375953a2a888/apiToken'
```

#### Response Code

204

#### Response Body

None

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>401</td><td>401002</td><td>Unauthorized Access</td><td>The authentication token provided in the request header is invalid or has expired.</td></tr><tr><td>404</td><td>404050</td><td>Resource Not Found</td><td>The SCIM&nbsp;configuration does not have an associated SCIM&nbsp;token.</td></tr><tr><td>404</td><td>404057</td><td>Resource Not Found</td><td>The SCIM&nbsp;configuration ID is not valid.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete Users from Site with CSV

Creates a job to remove a list of users, specified in a .csv file, from a site.

The .csv file should comply with the rules described in one of the following topics:

- For Tableau Cloud - [CSV Import File Guidelines](https://help.tableau.com/current/online/en-us/csvguidelines.htm)
- For Tableau Server - [CSV Import File Guidelines](https://help.tableau.com/current/server/en-us/csvguidelines.htm)

#### URI

POST /api/_api-version_/sites/_site-id_/users/delete

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-extra-wide"> <col></colgroup><tbody><tr><td><i>api-version</i></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><i>site-id</i></td><td>The ID of the site that users are being deleted from.</td></tr></tbody></table>

#### Request Body

Because this method involves a file that is external to Tableau a multi-part request is required. For more information on multi-part requests, See [Importing CSV files with Multipart Requests](https://help.tableau.com/v0.0/api/rest_api/en-us/REST/rest_api_concepts_fundamentals.htm#multipart_requests).

```
--boundary-string
Content-Disposition: form-data; name=\"tableau_user_delete\"; filename=\"users.csv\"
Content-Type: text/csv
--boundary-string--
```

#### Permissions

This method can only be called by server and site administrators.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:users:delete
```

[...]
